API Dashboard

Taffy 3.2.0

Resources:

systemQueueMessageCollection DELETE PATCH PUT POST GET /system/queue/{queue}/message

URI Tokens: (required)

Request Body:

Loading...

Response:

Message Queue Message Management

delete
Deletes a messages from the queue after processing is complete; must be called after processing completed or the message will go back onto the queue
required string queue
the name of the message queue to retrieve messages from
required string receiptHandle
get
Retrieves one or more messages from the specified message queue
required string queue
the name of the message queue to retrieve messages from
optional numeric maxNumberOfMessages (default: 10)
the max number of messages to receive (maximum of 10)
optional numeric visibilityTimeout (default: 30)
the a visibility timeout for the messages (defaults to 30 seconds); useful for long-running processing
post
Posts a new message onto the specified message queue
required string queue
the name of the message queue to retrieve messages from
required string message
the message body; assumed to be a JSON string

systemQueueCollection DELETE PATCH PUT POST GET /system/queue

Request Body:

Loading...

Response:

Message Queue Management

get
Retrieves a collection of message queue records

systemPropertySetPropertyMember DELETE PATCH PUT POST GET /system/propertySet/{propertySetId}/property/{propertyId}

URI Tokens: (required)

Request Body:

Loading...

Response:

PropertySet Property Management

delete
Deletes an existing property record based upon the provided property identifier
required numeric propertySetId
identifier for the parent propertySet of the property record to be deleted
required numeric propertyId
identifier for the property record to be deleted
required string propertySet
the property set name for the property response data
get
Retrieves a property set property record based upon the provided property identifier
required numeric propertySetId
identifier for the parent propertySet of the property record to be retrieved
required numeric propertyId
identifier for the property record to be retrieved
required string propertySet
the property set name for the property response data
put
the descriptive hint for this property
required numeric propertySetId
the parent property set identifier
required numeric propertyId
the property identifier
optional string alias
an alternate alias for the property
optional string argumentName
the incoming argument name for the property
optional numeric attrMax
specifies the maximum value for the property value
optional string attrMaxMessage
validation response message for the attrMaxMessage condition
optional numeric attrMaxLength
specifies the maximum string length of the property value
optional string attrMaxLengthMessage
validation response message for the attrMaxLengthMessage condition
optional numeric attrMin
specifies a minimum value for the property value
optional string attrMinMessage
validation response message for the attrMinMessage condition
optional numeric attrMinLength
specifies the minimum string length of the property value
optional string attrMinLengthMessage
validation response message for the attrMinLengthMessage condition
optional boolean attrReadonly
specifies that the property value is read-only in the context of the current property set
optional boolean attrRequired
specifies that the property value is required in the context of the current property set
optional string attrRequiredMessage
validation response message for the attrRequired condition
optional string attrValue
specifies the default value of the property
optional string columnName
name of the database table column this property represents
optional string dataType
the data type value of the property (property.dataType)
optional string description
the description text for the property
optional string entitySchema
the name of the parent database schema to which the property / table connect
optional string hint
optional boolean isActive (default: true)
the property record status
optional boolean isManyToMany
does this property represent a many to many relationship
optional boolean isReturned
is the property returned in the context of the current property set
optional boolean isVariable
does this property represent a variable
optional string lookupGroup
the lookup group name to limit the values for this property to
optional string lookup
the lookup variable name to limit the values for this property to
optional string manyToManyJoinAlias
the table join alias for the child many to many table
optional string manyToManyJoinColumn
the table column name to join the child many to many table
optional string selectClause
a custom SQL select clause used to generate the property value
optional string validationMethod
a programmatic method name used for validation of the property value
optional string validationRegEx
a programmatic regular expression used for validation of the property value
optional string whereClause
a custom SQL expression added to the where clause when this property is used as a variable

systemPropertySetPropertyCollection DELETE PATCH PUT POST GET /system/propertySet/{propertySetId}/property

URI Tokens: (required)

Request Body:

Loading...

Response:

PropertySet Property Management

get
Retrieves a collection of property set meta data records based upon the provided filter criteria
required numeric propertySetId
a specific parent property set identifier
required string propertySet
the property set name for the property set meta data response data
optional string id
a specific property identifier (or a comma separated list of property identifiers)
optional string alias
a specific property alias (or a comma separated list of property aliases)
optional boolean isFilter
the property filter status flag
optional boolean isFilterOrVariable
the property variable status - or - filter status flag
optional boolean isVariable
the property variable status flag
optional boolean isActive
the property record status (defaults to true)
optional string updateDate
a specific date or date range within which the property record update date should exist ( updateDate = '2014-09-01 00:00:00|2015-09-01 00:00:00' )
optional string sort
a comma separated list of properties by which to sort the results
optional numeric page (default: 1)
the requested page of results within the result set to return (defaults to 1)
optional numeric rows (default: 25)
the total number of records in the result set to return (defaults to 25)
optional boolean noData (default: false)
include the data result or just the statistical information (defaults to false)
post
the descriptive hint for this property
required numeric propertySetId
the parent property set identifier
optional string alias
an alternate alias for the property
optional string argumentName
the incoming argument name for the property
optional numeric attrMax
specifies the maximum value for the property value
optional string attrMaxMessage
validation response message for the attrMaxMessage condition
optional numeric attrMaxLength
specifies the maximum string length of the property value
optional string attrMaxLengthMessage
validation response message for the attrMaxLengthMessage condition
optional numeric attrMin
specifies a minimum value for the property value
optional string attrMinMessage
validation response message for the attrMinMessage condition
optional numeric attrMinLength
specifies the minimum string length of the property value
optional string attrMinLengthMessage
validation response message for the attrMinLengthMessage condition
optional boolean attrReadonly
specifies that the property value is read-only in the context of the current property set
optional boolean attrRequired
specifies that the property value is required in the context of the current property set
optional string attrRequiredMessage
validation response message for the attrRequired condition
optional string attrValue
specifies the default value of the property
optional string columnName
name of the database table column this property represents
optional string dataType
the data type value of the property (property.dataType)
optional string description
the description text for the property
optional string entitySchema
the name of the parent database schema to which the property / table connect
optional string hint
optional boolean isActive (default: true)
the property record status
optional boolean isManyToMany
does this property represent a many to many relationship
optional boolean isReturned
is the property returned in the context of the current property set
optional boolean isVariable
does this property represent a variable
optional string lookupGroup
the lookup group name to limit the values for this property to
optional string lookup
the lookup variable name to limit the values for this property to
optional string manyToManyJoinAlias
the table join alias for the child many to many table
optional string manyToManyJoinColumn
the table column name to join the child many to many table
optional string selectClause
a custom SQL select clause used to generate the property value
optional string validationMethod
a programmatic method name used for validation of the property value
optional string validationRegEx
a programmatic regular expression used for validation of the property value
optional string whereClause
a custom SQL expression added to the where clause when this property is used as a variable

systemPropertySetMetaDataDuplicate DELETE PATCH PUT POST GET /system/propertySet/{propertySetId}/metaData/{metaDataId}/duplicate

URI Tokens: (required)

Request Body:

Loading...

Response:

Duplicates an existing PropertySet MetaData

put
Duplicates an existing property set meta data record for the provided id with exact copies of the child property records
required numeric propertySetId
identifier for the parent propertySet of the property set meta data record to be updated
required numeric metaDataId
identifier for the property set meta data record to be updated
required string propertySet
the property set name for the propertySet parameter data
optional string tableSchema
the property set meta data table schema name
optional string tableName
the property set meta data table name
optional string tableAlias
the property set meta data table alias name
optional string tableJoin
the property set meta data table join clause
optional string tableWhere
the property set meta data table where clause
optional numeric sequence
the sequence order for the property set meta data record with relation to other property set meta data records in the property set
optional string description
the description text for the property set meta data
optional boolean isActive (default: true)
the property set meta data record status

systemPropertySetMetaDataMember DELETE PATCH PUT POST GET /system/propertySet/{propertySetId}/metaData/{metaDataId}

URI Tokens: (required)

Request Body:

Loading...

Response:

PropertySet MetaData Management

delete
Deletes an existing property set meta data record based upon the provided property set meta data identifier
required numeric propertySetId
identifier for the parent propertySet of the property set meta data record to be deleted
required numeric metaDataId
identifier for the property set meta data record to be deleted
required string propertySet
the property set name for the propertySet parameter data
get
Retrieves a property set meta data record based upon the provided property set meta data identifier
required numeric propertySetId
identifier for the parent propertySet of the property set meta data record to be retrieved
required numeric metaDataId
identifier for the property set meta data record to be retrieved
required string propertySet
the property set name for the propertySet response data
put
Updates an existing property set meta data record for the provided id
required numeric propertySetId
identifier for the parent propertySet of the property set meta data record to be updated
required numeric metaDataId
identifier for the property set meta data record to be updated
required string propertySet
the property set name for the propertySet parameter data
optional string tableSchema
the property set meta data table schema name
optional string tableName
the property set meta data table name
optional string tableAlias
the property set meta data table alias name
optional string tableJoin
the property set meta data table join clause
optional string tableWhere
the property set meta data table where clause
optional numeric sequence
the sequence order for the property set meta data record with relation to other property set meta data records in the property set
optional string description
the description text for the property set meta data
optional boolean isActive (default: true)
the property set meta data record status

systemPropertySetMetaDataCollection DELETE PATCH PUT POST GET /system/propertySet/{propertySetId}/metaData

URI Tokens: (required)

Request Body:

Loading...

Response:

PropertySet MetaData Management

get
Retrieves a collection of property set meta data records based upon the provided filter criteria
required numeric propertySetId
a specific parent property set identifier
required string propertySet
the property set name for the property set meta data response data
optional string id
a specific property set meta data identifier (or a comma separated list of property set meta data identifiers)
optional string tableSchema
a specific data table schema name (or a comma separated list of data table schema names)
optional string tableName
a specific data table name (or a comma separated list of data schema names)
optional boolean isActive
the propertySet record status (defaults to true)
optional string updateDate
a specific date or date range within which the propertySet record update date should exist ( updateDate = '2014-09-01 00:00:00|2015-09-01 00:00:00' )
optional string sort
a comma separated list of properties by which to sort the results
optional numeric page (default: 1)
the requested page of results within the result set to return (defaults to 1)
optional numeric rows (default: 25)
the total number of records in the result set to return (defaults to 25)
optional boolean noData (default: false)
include the data result or just the statistical information (defaults to false)
post
Persists a new property set meta data record based upon the provided information
required numeric propertySetId
the parent property set identifier
required string propertySet
the property set name for the property set meta data parameter data
required string tableSchema
the property set meta data table schema name
required string tableName
the property set meta data table name
required string tableAlias
the property set meta data table alias name
required string tableJoin
the property set meta data table join clause
optional string tableWhere
the property set meta data table where clause
optional numeric sequence
the sequence order for the property set meta data record with relation to other property set meta data records in the property set
optional string description
the description text for the property set meta data
optional boolean isActive (default: true)
the property set meta data record status

systemPropertySetDuplicate DELETE PATCH PUT POST GET /system/propertySet/{propertySetId}/duplicate

URI Tokens: (required)

Request Body:

Loading...

Response:

Duplicates an existing PropertySet

post
the hint text for the property set
required numeric propertySetId
identifier for the propertySet to be updated
required string propertySet
the property set name for the propertySet parameter data
optional string baseEntity
the base entity value for the property set
optional string varName
the variable name for the property set
optional string name
the name for the property set
optional string hint
optional boolean isLocked
the propertySet record lock status
optional boolean isActive (default: true)
the propertySet record status
optional string status
the propertySet status value

systemPropertySetMember DELETE PATCH PUT POST GET /system/propertySet/{propertySetId}

URI Tokens: (required)

Request Body:

Loading...

Response:

PropertySet Management

delete
Deletes an existing propertySet record based upon the provided propertySet identifier
required numeric propertySetId
identifier for the propertySet to be deleted
required string propertySet
the property set name for the propertySet parameter data
get
Retrieves a propertySet record based upon the provided propertySet identifier
required numeric propertySetId
identifier for the propertySet to be retrieved
required string propertySet
the property set name for the propertySet response data
put
the hint text for the property set
required string propertySet
the property set name for the propertySet parameter data
optional string baseEntity
the base entity value for the property set
optional string varName
the variable name for the property set
optional string name
the name for the property set
optional string hint
optional boolean isLocked
the propertySet record lock status
optional boolean isActive (default: true)
the propertySet record status
optional string status
the propertySet status value

systemPropertySetCollection DELETE PATCH PUT POST GET /system/propertySet

Request Body:

Loading...

Response:

PropertySet Management

get
Retrieves a collection of propertySet records based upon the provided filter criteria
required string propertySet
the property set name for the propertySet response data
optional string id
a specific propertySet identifier (or a comma separated list of propertySet identifiers)
optional string baseEntity
a specific propertySet base entity name (or a comma separated list of propertySet base entity names)
optional string varName
a specific propertySet variable name (or a comma separated list of propertySet variable names)
optional string name
the property set name
optional boolean isLocked
the propertySet locked status
optional boolean isActive
the propertySet record status (defaults to true)
optional string status
a specific propertySet status value (or a comma separated list of status values)
optional string updateDate
a specific date or date range within which the propertySet record update date should exist ( updateDate = '2014-09-01 00:00:00|2015-09-01 00:00:00' )
optional string sort
a comma separated list of properties by which to sort the results
optional numeric page (default: 1)
the requested page of results within the result set to return (defaults to 1)
optional numeric rows (default: 25)
the total number of records in the result set to return (defaults to 25)
optional boolean noData (default: false)
include the data result or just the statistical information (defaults to false)
post
the hint text for the property set
required string propertySet
the property set name for the propertySet parameter data
required string baseEntity
the base entity value for the property set
required string varName
the variable name for the property set
required string name
the name for the property set
optional string hint
optional boolean isLocked
the propertySet record lock status
optional boolean isActive (default: true)
the propertySet record status
required string status
the propertySet status value

systemNotificationEmail DELETE PATCH PUT POST GET /system/notification/email

Request Body:

Loading...

Response:

Email Notification Services

post
Allows for sending an email notification based upon a specified notification template
required string recipient
a comma separated list of one or more user identifiers to which to which the notification will be sent
optional string recipientPropertySet (default: user)
the property set name to use in retrieving the email recipient data (defaults to 'user')
required string sender
identifier for the user from which the notification will be sent
optional string senderPropertySet (default: user)
the property set name to use in retrieving the email sender data (defaults to 'user')
required string notification
the name of the notification template to be used for the email message
optional string subject
the custom subject message for the email notification
optional string message
the custom body message for the email notification
required string propertySet
the property set name to use in retrieving the email content data
optional struct criteria
a collection of key/value pair criteria information to use in retrieving the email content data

systemNotificationMember DELETE PATCH PUT POST GET /system/notification/{notificationId}

URI Tokens: (required)

Request Body:

Loading...

Response:

Notification Management

delete
Deletes an existing notification template record based upon the provided notificationId
required numeric notificationId
identifier for the notification template to be deleted
required string propertySet
the property set name for the notification template parameter data
get
Retrieves a notification template record based upon the provided notification template identifier
required numeric notificationId
identifier for the notification template to be retrieved
required string propertySet
the property set name for the notification template response data
put
Updates an existing notification template record for the provided id
required numeric notificationId
identifier for the notification template to be updated
required string propertySet
the property set name for the notification template parameter data
optional boolean isActive
the notification template record status (defaults to true)
optional string name
the notification template name
optional string status
the notification template status value

systemNotificationCollection DELETE PATCH PUT POST GET /system/notification

Request Body:

Loading...

Response:

Notification Template Management

get
Retrieves a collection of notification template records based upon the provided filter criteria
required string propertySet
the property set name for the notification template response data
optional string id
a specific notification template identifier (or a comma separated list of notification template identifiers)
optional boolean isActive
the notification template record status (defaults to true)
optional string name
a specific notification template name
optional string status
a specific notification template status value (or a comma separated list of status values)
optional string type
a specific notification template type value (or a comma separated list of notification template type values)
optional string updateDate
a specific date or date range within which the notification template record update date should exist ( updateDate = '2014-09-01 00:00:00|2015-09-01 00:00:00' )
optional string sort
a comma separated list of properties by which to sort the results
optional numeric page (default: 1)
the requested page of results within the result set to return (defaults to 1)
optional numeric rows (default: 25)
the total number of records in the result set to return (defaults to 25)
optional boolean noData (default: false)
include the data result or just the statistical information (defaults to false)
post
Persists a new notification template record based upon the provided information
required string propertySet
the property set name for the notification template parameter data
optional boolean isActive (default: true)
the notification template record status (defaults to true)
required string name
the notification template name
required string status
the notification template status value
required string type
the notification template type value

systemLookupValueMember DELETE PATCH PUT POST GET /system/lookup/{lookupId:\d+}/value/{lookupValueId:\d+}

URI Tokens: (required)

Request Body:

Loading...

Response:

Lookup Container Management

delete
Deletes an existing lookup value record based upon the provided id
required numeric lookupId
identifier for the lookup to be deleted
required numeric lookupValueId
a specific lookup value identifier
optional string propertySet (default: system.lookup.value)
the property set name for the lookup value parameter data
get
Retrieves a lookup value record based upon the provided lookup value identifier
required numeric lookupId
a specific parent lookup identifier
required numeric lookupValueId
a specific lookup value identifier
optional string propertySet (default: system.lookup.value)
the property set name for the lookup value response data
put
the description for the lookup value
required numeric lookupId
a specific parent lookup identifier
required numeric lookupValueId
a specific lookup value identifier
optional string propertySet (default: system.lookup.value)
the property set name for the lookup value parameter data
optional string group
the lookup value group
optional numeric sequence
the lookup value sequence
optional string value
the lookup value
optional string description
the description / display text for the lookup value
optional string hint
optional boolean isActive
the lookup value record status

systemLookupValueCollection DELETE PATCH PUT POST GET /system/lookup/{lookupId:\d+}/value

URI Tokens: (required)

Request Body:

Loading...

Response:

System Lookup Value Management

get
Retrieves a collection of lookup value records based upon the provided filter criteria
required numeric lookupId
a specific parent lookup identifier
optional string propertySet (default: system.lookup.value)
the property set name for the lookup value response data
optional string id
a specific lookup value identifier (or a comma separated list of lookup value identifiers)
optional string group
a specific lookup value group identifier (or a comma separated list of lookup value group identifiers)
optional string value
the lookup value (allows % wildcards)
optional boolean isActive (default: true)
the lookup value record status (defaults to true)
optional string updateDate
a specific date or date range within which the lookup value record update date should exist ( updateDate = '2014-09-01 00:00:00|2015-09-01 00:00:00' )
optional string sort
a comma separated list of properties by which to sort the results
optional numeric page (default: 1)
the requested page of results within the result set to return (defaults to 1)
optional numeric rows
the total number of records in the result set to return (defaults to all)
optional boolean noData (default: false)
include the data result or just the statistical information (defaults to false)
post
the description for the lookup value
required numeric lookupId
a specific parent lookup identifier
optional string propertySet (default: system.lookup.value)
the property set name for the lookup value parameter data
optional string group
the lookup value group
optional numeric sequence
the lookup value sequence
required string value
the lookup value
required string description
the description / display text for the lookup value
optional string hint
optional boolean isActive (default: true)
the lookup value record status (defaults to true)

systemLookupMember DELETE PATCH PUT POST GET /system/lookup/{lookupId:\d+}

URI Tokens: (required)

Request Body:

Loading...

Response:

Lookup Container Management

delete
Deletes an existing lookup record based upon the provided lookupId
required numeric lookupId
identifier for the lookup to be deleted
optional string propertySet (default: system.lookup)
the property set name for the lookup parameter data
get
Retrieves a lookup container record based upon the provided lookup identifier
required numeric lookupId
identifier for the lookup container to be retrieved
optional string propertySet (default: system.lookup)
the property set name for the lookup container response data
put
the description for the lookup
required numeric lookupId
the lookup identifier
optional string propertySet (default: system.lookup)
the property set name for the lookup parameter data
optional string name
the descriptive name of the lookup
optional string hint
optional boolean isActive
the lookup record status

systemLookupLookup DELETE PATCH PUT POST GET /system/lookup/{name:[a-zA-Z0-9\.]+}

URI Tokens: (required)

Request Body:

Loading...

Response:

Lookup Container Value Management

get
Retrieves the set of values for a lookup container record based upon the provided lookup name
required string name
the lookup container name to retrieve values for
optional string propertySet (default: system.lookup.value)
the property set name for the lookup container response data
optional string sort (default: sequence ASC)
the lookup value sort order column and direction; defaults to sequence

systemLookupCollection DELETE PATCH PUT POST GET /system/lookup

Request Body:

Loading...

Response:

System Lookup Management

get
Retrieves a collection of lookup container records based upon the provided filter criteria
optional string propertySet (default: system.lookup)
the property set name for the lookup response data
optional numeric id
a specific lookup container identifier
optional string name
a specific lookup container name
optional string sort
a comma separated list of properties by which to sort the results
optional numeric page (default: 1)
the requested page of results within the result set to return (defaults to 1)
optional numeric rows (default: 25)
the total number of records in the result set to return (defaults to 25)
optional boolean noData (default: false)
include the data result or just the statistical information (defaults to false)
post
the description for the lookup
optional string propertySet (default: system.lookup)
the property set name for the lookup container parameter data
required string varName
the lookup variable name
optional string name
the descriptive name of the lookup
optional string hint
optional boolean isActive (default: true)
the lookup record status (defaults to true)

logError DELETE PATCH PUT POST GET /log/error

Request Body:

Loading...

Response:

External application error logging

post
Records an external application error event
optional string message (default: "")
the error event descriptive message, defaults to an empty string
optional string type
the error event type
optional string detail
a detailed message, potentially containing formatting, which can help identify the cause of the error
optional string extendedInfo
custom error event information in a serialized string
optional string errorCode
a custom error code for reference
optional string stackTrace
an array of collections containing information for each state in the stack in a serialized string

documentFileMimeTypeCollection DELETE PATCH PUT POST GET /document/fileMimeType

Request Body:

Loading...

Response:

Document Management

get
Retrieves a collection of available document file mime type records based upon the provided filter criteria
required string propertySet (default: document.availableMimeTypes)
the property set name for the lookup value response data
optional string id
a specific lookup value identifier (or a comma separated list of lookup value identifiers)
optional string group
a specific lookup value group identifier (or a comma separated list of lookup value group identifiers)
optional string value
the lookup value (allows % wildcards)
optional boolean isActive (default: true)
the lookup value record status (defaults to true)
optional string updateDate
a specific date or date range within which the lookup value record update date should exist ( updateDate = '2014-09-01 00:00:00|2015-09-01 00:00:00' )
optional string sort
a comma separated list of properties by which to sort the results
optional numeric page (default: 1)
the requested page of results within the result set to return (defaults to 1)
optional numeric rows
the total number of records in the result set to return (defaults to all)
optional boolean noData (default: false)
include the data result or just the statistical information (defaults to false)

documentAgreementCollection DELETE PATCH PUT POST GET /document/agreement

Request Body:

Loading...

Response:

Agreement Document Management

post
Creates and optionally sends a new agreement document based upon the provided parameters
required string propertySet
the property set name for the agreement document parameter data
required string type
the agreement (document) type
required string user
the user participant identifier(s) for which to create the agreement
optional string placement
the placement identifier(s) to which to relate the agreement (if applicable)
optional boolean sendAgreement (default: true)
should the agreement be sent via Adobe Sign to the participants (true) or just created within the system (false)

documentFileMember DELETE PATCH PUT POST GET /document/{documentId}/upload

URI Tokens: (required)

Request Body:

Loading...

Response:

Document Management - File Management

delete
Deletes the file contents of the document record based upon the provided document identifier
required numeric documentId
identifier for the document file to be deleted
get
Streams the file (or archive of files) contents of for the document record based upon the provided document identifier(s)
required string documentId
identifier for the document(s) to be retrieved. If multiple documents, provide list of ids
post
Upload a new file to be associated with an existing document record for the provided document identifier
required numeric documentId
identifier for the document to be updated
required any file
the binary file data to be uploaded

documentParticipantMember DELETE PATCH PUT POST GET /document/{documentId}/participant/{participantId}

URI Tokens: (required)

Request Body:

Loading...

Response:

Document Participant Management

delete
Deletes an existing participant record based upon the provided participant identifier
required numeric documentId
a specific document identifier to which the participant is related
required numeric participantId
identifier for the participant to be deleted
required string propertySet
the property set name for the document participant parameter data
get
Retrieves a participant record based upon the provided participant identifier
required numeric documentId
a specific document identifier to which the participant is related
required numeric participantId
identifier for the participant to be retrieved
required string propertySet
the property set name for the document participant response data
put
Updates an existing participant record for the provided id
required numeric documentId
a specific document identifier to which the participant is related
required numeric participantId
identifier for the participant to be updated
required string propertySet
the property set name for the document participant parameter data
optional boolean isActive
the participant record status
optional numeric placement
the related placement identifier for the document participant
optional numeric user
the related user identifier for the document participant

documentParticipantCollection DELETE PATCH PUT POST GET /document/{documentId}/participant/

URI Tokens: (required)

Request Body:

Loading...

Response:

Document Participant Management

get
Retrieves a collection of participant records based upon the provided filter criteria
required numeric documentId
a specific document identifier to which the participant is related
required string propertySet
the property set name for the document participant response data
optional string id
a specific participant identifier (or a comma separated list of participant identifiers)
optional boolean isActive
the participant record status (defaults to true)
optional string placement
a specific placement identifier (or a comma separated list of placement identifiers)
optional string updateDate
a specific date or date range within which the participant record update date should exist ( updateDate = '2014-09-01 00:00:00|2015-09-01 00:00:00' )
optional string user
a specific user identifier (or a comma separated list of user identifiers)
optional string sort
a comma separated list of properties by which to sort the results
optional numeric page (default: 1)
the requested page of results within the result set to return (defaults to 1)
optional numeric rows (default: 25)
the total number of records in the result set to return (defaults to 25)
optional boolean noData (default: false)
include the data result or just the statistical information (defaults to false)
post
Persists a new document participant record based upon the provided information
required numeric documentId
a specific document identifier to which the participant is related
required string propertySet
the property set name for the document participant parameter data
optional boolean isActive (default: true)
the participant record status (defaults to true)
optional numeric placement
the related placement identifier for the document participant
optional numeric user
the related user identifier for the document participant

documentCommentMessageMember DELETE PATCH PUT POST GET /document/{documentId}/comment/{commentId}/message/{messageId}

URI Tokens: (required)

Request Body:

Loading...

Response:

Document Comment Message Management

delete
Deletes an existing message record based upon the provided message identifier
required numeric documentId
a specific document identifier to which the message is related
required numeric commentId
a specific comment identifier to which the message is related
required numeric messageId
identifier for the message to be retrieved
required string propertySet
the property set name for the document comment message parameter data
get
Retrieves a message record based upon the provided message identifier
required numeric documentId
a specific document identifier to which the message is related
required numeric commentId
a specific comment identifier to which the message is related
required numeric messageId
identifier for the message to be retrieved
required string propertySet
the property set name for the document comment message response data
put
Updates an existing message record for the provided id
required numeric messageId
identifier for the message to be updated
required numeric documentId
a specific document identifier to which the message is related
required numeric commentId
a specific comment identifier to which the message is related
required string propertySet
the property set name for the document comment message parameter data
optional boolean isActive
the message record status
optional numeric sender
a specific user identifier representing the sender of the message
optional string status
the message status value
optional string text
the textual content of the message
optional string type
the message type value

documentCommentMessageCollection DELETE PATCH PUT POST GET /document/{documentId}/comment/{commentId}/message

URI Tokens: (required)

Request Body:

Loading...

Response:

Document Message Management

get
Retrieves a collection of message records based upon the provided filter criteria
required numeric documentId
a specific document identifier to which the message is related
required numeric commentId
a specific comment identifier to which the message is related
required string propertySet
the property set name for the document comment message response data
optional string id
a specific message identifier (or a comma separated list of message identifiers)
optional boolean isActive
the message record status (defaults to true)
optional string sender
a specific user identifier (or a comma separated list of user identifiers) from which the message was sent
optional string status
a specific message status value (or a comma separated list of status values)
optional string type
a specific message type value (or a comma separated list of message type values)
optional string updateDate
a specific date or date range within which the message record update date should exist ( updateDate = '2014-09-01 00:00:00|2015-09-01 00:00:00' )
optional string sort
a comma separated list of properties by which to sort the results
optional numeric page (default: 1)
the requested page of results within the result set to return (defaults to 1)
optional numeric rows (default: 25)
the total number of records in the result set to return (defaults to 25)
optional boolean noData (default: false)
include the data result or just the statistical information (defaults to false)
post
Persists a new message record based upon the provided information
required numeric documentId
a specific document identifier to which the message is related
required numeric commentId
a specific comment identifier to which the message is related
required string propertySet
the property set name for the document comment message parameter data
optional boolean isActive (default: true)
the message record status (defaults to true)
required numeric sender
a specific user identifier representing the sender of the message
required string status
the message status value
optional string text
the textual content of the message
required string type
the message type value

documentCommentMember DELETE PATCH PUT POST GET /document/{documentId}/comment/{commentId}

URI Tokens: (required)

Request Body:

Loading...

Response:

Document Comment Management

delete
Deletes an existing comment record based upon the provided comment identifier
required numeric documentId
a specific document identifier to which the comment is related
required numeric commentId
identifier for the comment to be deleted
required string propertySet
the property set name for the document comment parameter data
get
Retrieves a comment record based upon the provided comment identifier
required numeric documentId
a specific document identifier to which the comment is related
required numeric commentId
identifier for the comment to be retrieved
required string propertySet
the property set name for the document comment response data
put
Updates an existing comment record for the provided id
required numeric documentId
a specific document identifier to which the comment is related
required numeric commentId
identifier for the comment to be updated
required string propertySet
the property set name for the document comment parameter data
optional boolean isActive
the comment record status
optional string status
the comment status value
optional string type
the comment type value

documentCommentCollection DELETE PATCH PUT POST GET /document/{documentId}/comment/

URI Tokens: (required)

Request Body:

Loading...

Response:

Document Comment Management

get
Retrieves a collection of comment records based upon the provided filter criteria
required numeric documentId
a specific document identifier to which the comment is related
required string propertySet
the property set name for the document comment response data
optional string id
a specific comment identifier (or a comma separated list of comment identifiers)
optional boolean isActive
the comment record status (defaults to true)
optional string lastUpdateDate
a specific date or date range within which the last message date for this thread should exist ( lastUpdateDate = '2014-09-01 00:00:00|2015-09-01 00:00:00' )
optional string status
a specific comment status value (or a comma separated list of status values)
optional string subject
a word or phrase that should be contained in the thread subject
optional string type
a specific comment type value (or a comma separated list of comment type values)
optional string updateDate
a specific date or date range within which the comment record update date should exist ( updateDate = '2014-09-01 00:00:00|2015-09-01 00:00:00' )
optional string sort
a comma separated list of properties by which to sort the results
optional numeric page (default: 1)
the requested page of results within the result set to return (defaults to 1)
optional numeric rows (default: 25)
the total number of records in the result set to return (defaults to 25)
optional boolean noData (default: false)
include the data result or just the statistical information (defaults to false)
post
Persists a new comment record based upon the provided information
required numeric documentId
a specific document identifier to which the comment is related
required string propertySet
the property set name for the document comment parameter data
optional boolean isActive (default: true)
the comment record status (defaults to true)
required string status
the comment status value
required string type
the comment type value

documentAgreementMember DELETE PATCH PUT POST GET /document/{documentId}/agreement

URI Tokens: (required)

Request Body:

Loading...

Response:

Agreement Document Management

delete
Cancels an existing agreement document based upon the provided document identifier
required numeric documentId
identifier for the agreement document to be canceled
required string propertySet
the property set name for the document parameter data
get
Retrieves the latest agreement details based upon upon the provided document identifier
required numeric documentId
identifier for the document to be retrieved
required string propertySet
the property set name for the document response data
post
Retrieves the latest agreement URL based upon upon the provided document identifier
required string agreementId
identifier for the agreement to be retrieved
put
Cancels an existing agreement document and re-sends the agreement based upon the provided id
required numeric documentId
identifier for the document to be resent
required string propertySet
the property set name for the document parameter data
required string user
the user participant identifier(s) for which to create the agreement

documentMember DELETE PATCH PUT POST GET /document/{documentId}

URI Tokens: (required)

Request Body:

Loading...

Response:

Document Management

delete
Deletes an existing document record based upon the provided document identifier
required numeric documentId
identifier for the document to be deleted
get
Retrieves a document record based upon the provided document identifier
required numeric documentId
identifier for the document to be retrieved
required string propertySet
the property set name for the document response data
put
Updates an existing document record for the provided id
required numeric documentId
identifier for the document to be updated
required string propertySet
the property set name for the document parameter data
optional boolean isActive (default: true)
optional string status
the document status value
optional string type
the document type value

documentCollection DELETE PATCH PUT POST GET /document

Request Body:

Loading...

Response:

Document Management

get
Retrieves a collection of user document records based upon the provided filter criteria
required string propertySet
the property set name for the document response data
optional string id
a specific document identifier (or a comma separated list of document identifiers)
optional boolean isActive
the document record status (defaults to true)
optional string status
a specific document status value (or a comma separated list of status values)
optional string type
a specific document type value (or a comma separated list of type values)
optional string updateDate
a specific date or date range within which the document record update date should exist ( updateDate = '2014-09-01 00:00:00|2015-09-01 00:00:00' )
optional string user
a specific user participant identifier (or a comma separated list of user identifiers) to which the document should be associated
optional string sort
a comma separated list of properties by which to sort the results
optional numeric page (default: 1)
the requested page of results within the result set to return (defaults to 1)
optional numeric rows (default: 25)
the total number of records in the result set to return (defaults to 25)
optional boolean noData (default: false)
include the data result or just the statistical information (defaults to false)
post
Persists a new document record based upon the provided information
required string propertySet
the property set name for the document parameter data
optional boolean isActive (default: true)
the document record status
required string status
the document status value
required string type
the document type value

backgroundCheckReportProcess DELETE PATCH PUT POST GET /backgroundCheck/report/{reportId}/process

URI Tokens: (required)

Request Body:

Loading...

Response:

Background Check Report Processing

post
submits the specified background check report for processing
required numeric reportId
identifier for the background check report to be processed
required string propertySet
the property set name for the background check report response data

backgroundCheckReportPDFCollection DELETE PATCH PUT POST GET /backgroundCheck/report/{reportId}/pdf

URI Tokens: (required)

Request Body:

Loading...

Response:

Background Check Report PDF Management

get
Retrieves a PDF representation of the background check report
required numeric reportId
a identifier for the background check report to be retrieved
optional boolean redacted (default: false)
determines whether to redact certain sensitive information

backgroundCheckReportMember DELETE PATCH PUT POST GET /backgroundCheck/report/{reportId}

URI Tokens: (required)

Request Body:

Loading...

Response:

Background Check Report Management

delete
Deletes an existing background check report record based upon the provided background check report identifier
required numeric reportId
identifier for the background check report to be deleted
required string propertySet
the property set name for the report parameter data
get
Retrieves a background check report record based upon the provided report identifier
required numeric reportId
identifier for the background check report to be retrieved
required string propertySet
the property set name for the report response data
put
Updates an existing background check report record for the provided report identifier
required numeric reportId
identifier for the background check report to be updated
required string propertySet
the property set name for the report parameter data
optional numeric release
the background check release identifier to which the report is related
optional string status
the status of the background check report (backgroundCheck.report.status dataset)
optional string type
the type of the background check report (backgroundCheck.report.type dataset)
optional boolean isActive (default: true)
the background check report record status

backgroundCheckReportCollection DELETE PATCH PUT POST GET /backgroundCheck/report

Request Body:

Loading...

Response:

Background Check Report Management

get
Retrieves a collection of background check report records based upon the provided filter criteria
required string propertySet
the property set name for the background check report response data
optional numeric id
a specific background check report identifier
optional numeric user
the user identifier to which the background check report is related
optional numeric release
the background check release identifier to which the report is related
optional string sort
a comma separated list of properties by which to sort the results
optional numeric page (default: 1)
the requested page of results within the result set to return (defaults to 1)
optional numeric rows (default: 25)
the total number of records in the result set to return (defaults to 25)
optional boolean noData (default: false)
include the data result or just the statistical information (defaults to false)
post
Persists a new background check report record based upon the provided information
required string propertySet
the property set name for the report parameter data
required numeric user
the user identifier to which the background check report is related
required numeric release
the background check release identifier upon which to base the report
required string status
the status of the background check report (backgroundCheck.report.status dataset)
required string type
the type of the background check report (backgroundCheck.report.type dataset)
optional boolean isActive (default: true)
the background check report record status (defaults to true)

backgroundCheckReleaseActivityReleaseKey DELETE PATCH PUT POST GET /backgroundCheck/release/{releaseKey:[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}}/activity

URI Tokens: (required)

Request Body:

Loading...

Response:

Release Activity Management

post
Persists a new release activity record based upon the provided information
required string releaseKey
the release key string for the release associated to the new activity
required string propertySet
the property set name for the release activity parameter data
optional string notes
the release activity record notes
required string type
the release activity type value
optional boolean isActive (default: true)
the release activity record status (defaults to true)

backgroundCheckReleaseReleaseKey DELETE PATCH PUT POST GET /backgroundCheck/release/{releaseKey:[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}}

URI Tokens: (required)

Request Body:

Loading...

Response:

Reference management for unauthenticated requests based upon reference key

get
Retrieves a release record based upon the provided release key; if the expiration date has been exceeded, a 401 error will be returned
required string releaseKey
the release key string for the release to be retrieved
optional string propertySet
the property set name for the release response data
put
Updates an existing release record with the provided release key
required string releaseKey
the release key string for the release to be updated
required string propertySet
the property set name for the release parameter data

backgroundCheckReleaseNotify DELETE PATCH PUT POST GET /backgroundCheck/release/{releaseId}/notify

URI Tokens: (required)

Request Body:

Loading...

Response:

Background Check Release Notification Management

post
sends the initial release notification message for the provided release identifier
required numeric userId
a specific user identifier to which the release is related
required numeric releaseId
identifier for the release to be notified
optional string propertySet (default: backgroundCheck.release.notification)
the property set name for the release notification data
put
generates a new key, and re-sends the release notification message for the provided release identifier
required numeric userId
a specific user identifier to which the release is related
required numeric releaseId
identifier for the release to be notified
optional string propertySet (default: backgroundCheck.release.notification)
the property set name for the release notification data

backgroundCheckReleaseActivityCollection DELETE PATCH PUT POST GET /backgroundCheck/release/{releaseId}/activity

URI Tokens: (required)

Request Body:

Loading...

Response:

Release Activity Management

get
Retrieves a collection of release activity records based upon the provided filter criteria
required string releaseId
a specific release identifier to which the release activity is related
required string propertySet
the property set name for the release activity response data
optional numeric id
identifier for a specific release activity to be retrieved
post
Persists a new release activity record based upon the provided information
required numeric releaseId
a specific release identifier to which the release activity is related
required string propertySet
the property set name for the release activity parameter data
optional string notes
the release activity record notes
required string type
the release activity type value
optional boolean isActive (default: true)
the release activity record status (defaults to true)

backgroundCheckReleaseMember DELETE PATCH PUT POST GET /backgroundCheck/release/{releaseId}

URI Tokens: (required)

Request Body:

Loading...

Response:

Background Check Release Management

delete
Deletes an existing background check release record based upon the provided background check release identifier
required numeric releaseId
identifier for the background check release to be deleted
required string propertySet
the property set name for the release parameter data
get
Retrieves a background check release record based upon the provided release identifier
required numeric releaseId
identifier for the background check release to be retrieved
required string propertySet
the property set name for the release response data
put
Updates an existing background check release record for the provided release identifier
required numeric releaseId
identifier for the background check release to be updated
required string propertySet
the property set name for the release parameter data
optional string apartmentNumber
the apartment number portion of the target user's address
optional date birthdate
the target user's birth date
optional string city
the city portion of the target user's address
optional string county
the county of residence portion of the target user's address
optional string country
the country portion of the target user's address
optional string firstName
the target user's first name
optional string formerName
the target user's former name
optional string houseNumber
the house number portion of the target user's address
optional string ipAddress
the client IP address associated with the background check release submission
optional string lastName
the target user's last name
optional string middleName
the target user's middle name
optional string phone
the target user's phone number
optional string postalCode
the postal code portion of the target user's address
optional string state
the state portion of the target user's address
optional string stateOfWork
the name of the state in which the target user works
optional string status
the status of the background check release (backgroundCheck.release.status dataset)
optional string streetName
the street name portion of the target user's address
optional string type
the type of the background check release (backgroundCheck.release.type dataset)
optional numeric user
the user identifier for the target user
optional boolean isActive (default: true)
the background check release record status

backgroundCheckReleaseCollection DELETE PATCH PUT POST GET /backgroundCheck/release

Request Body:

Loading...

Response:

Background Check Release Management

get
Retrieves a collection of background check release records based upon the provided filter criteria
required string propertySet
the property set name for the background check release response data
optional numeric id
a specific background check release identifier
optional numeric user
the user identifier for which the background check release is for
optional string sort
a comma separated list of properties by which to sort the results
optional numeric page (default: 1)
the requested page of results within the result set to return (defaults to 1)
optional numeric rows (default: 25)
the total number of records in the result set to return (defaults to 25)
optional boolean noData (default: false)
include the data result or just the statistical information (defaults to false)
post
Persists a new background check release record based upon the provided information
required string propertySet
the property set name for the lookup container parameter data
optional string apartmentNumber
the apartment number portion of the target user's address
optional date birthdate
the target user's birth date
optional string city
the city portion of the target user's address
optional string county
the county of residence portion of the target user's address
optional string country
the country portion of the target user's address
optional string firstName
the target user's first name
optional string formerName
the target user's former name
optional string houseNumber
the house number portion of the target user's address
optional string ipAddress
the client IP address associated with the background check release submission
optional string lastName
the target user's last name
optional string middleName
the target user's middle name
optional string phone
the target user's phone number
optional string postalCode
the postal code portion of the target user's address
optional string state
the state portion of the target user's address
optional string stateOfWork
the name of the state in which the target user works
required string status
the status of the background check release (backgroundCheck.release.status dataset)
optional string streetName
the street name portion of the target user's address
required string type
the type of the background check release (backgroundCheck.release.type dataset)
required numeric user
the user identifier for the target user
optional boolean isActive (default: true)
the background check release record status (defaults to true)

Resources are listed in matching order. From top to bottom, the first URI to match the request is used.